/*
 * This file is a part of KleanSweep.
 *
 * Copyright (C) 2005 Pawel Stolowski <pawel.stolowski@wp.pl>
 *
 * KleanSweep is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#include "sweepfileinfo.h"
#include <kurl.h>

SweepFileInfo::SweepFileInfo(const KURL &path): KFileItem(KFileItem::Unknown, KFileItem::Unknown, path, false), remove(false), target(QString::null)
{
}

SweepFileInfo::~SweepFileInfo()
{
}

void SweepFileInfo::markForRemoval(bool f)
{
	remove = f;
}

bool SweepFileInfo::isMarkedForRemoval() const
{
	return remove;
}

void SweepFileInfo::setTarget(const QString &path)
{
	target = path;
}

QString SweepFileInfo::getTarget() const
{
	return target;
}

